gi-harfbuzz-0.0.3: HarfBuzz bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.HarfBuzz.Structs.BlobT

Contents

- Exported types
- Methods
  - Overloaded methods

Description

No description available in the introspection data.

Synopsis

- newtype BlobT = BlobT (ManagedPtr BlobT)

# Exported types

newtype BlobT Source #

Memory-managed wrapper type.

Constructors

BlobT (ManagedPtr BlobT) |

#### Instances

Instances details

Eq BlobT Source # |
Instance details Defined in GI.HarfBuzz.Structs.BlobT Methods (==) :: BlobT -> BlobT -> Bool # (/=) :: BlobT -> BlobT -> Bool #
GBoxed BlobT Source # |
Instance details Defined in GI.HarfBuzz.Structs.BlobT
TypedObject BlobT Source # |
Instance details Defined in GI.HarfBuzz.Structs.BlobT Methods glibType :: IO GType Source #
ManagedPtrNewtype BlobT Source # |
Instance details Defined in GI.HarfBuzz.Structs.BlobT Methods toManagedPtr :: BlobT -> ManagedPtr BlobT Source #
IsGValue BlobT Source # | Convert `BlobT` to and from `GValue` with `toGValue` and `fromGValue`.
Instance details Defined in GI.HarfBuzz.Structs.BlobT Methods toGValue :: BlobT -> IO GValue Source # fromGValue :: GValue -> IO BlobT Source #
HasParentTypes BlobT Source # |
Instance details Defined in GI.HarfBuzz.Structs.BlobT
type ParentTypes BlobT Source # |
Instance details Defined in GI.HarfBuzz.Structs.BlobT type ParentTypes BlobT = '[] :: [Type]

# Methods

## Overloaded methods